spring:
#  redis:
#    dabase: 9
#    host: 52.130.252.100
#    port: 6379
#    password: habook
#    ssl: false
#    abort_connection: false
#    write_timeout: 10240


  
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher

  # 文件上传
  servlet:
    multipart:
      # 大小限制
      max-file-size: 10MB
  #测试站数据库
  env: dev
  cloud:
    azure:
      cosmos:
        endpoint: https://cdhabookdep-free.documents.azure.cn:443
        database: TEAMModelOS
        key: JTUVk92Gjsx17L0xqxn0X4wX2thDPMKiw4daeTyV1HzPb6JmBeHdtFY1MF1jdctW1ofgzqkDMFOtcqS46by31A==
        populate-query-metrics: true
  #正式站数据库
#  env: prod
#  cloud:
#    azure:
#      cosmos:
#        endpoint: https://teammodelos.documents.azure.cn:443
#        database: TEAMModelOS
#        key: clF73GwPECfP1lKZTCvs8gLMMyCZig1HODFbhDUsarsAURO7TcOjVz6ZFfPqr1HzYrfjCXpMuVD5TlEG5bFGGg==
#        populate-query-metrics: true
  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: https://login.partner.microsoftonline.cn/4807e9cf-87b8-4174-aa5b-e76497d7392b/v2.0
          audiences: 72643704-b2e7-4b26-b881-bd5865e7a7a5
#企业账户秘钥
spark:
  gpt:
    endpoint: https://spark-api.xf-yun.com/v3.5/chat
    appId: 7971f265
    apiKey: 866cd866de47fd55d3bac79ecbfcdae3
    apiSecret: MDQ3YzFlNzI0MDEzMjgwYmJkNGFhOTkz
    cache_timeout: 1800000 # 30min
    cache_context: 3

#个人账户秘钥
  #spark:
    #gpt:
    #endpoint: https://spark-api.xf-yun.com/v3.1/chat
    #appId: c49d1e24
    #apiKey: 6c586e7dd1721ed1bb19bdb573b4ad34
    #apiSecret: MDU1MTU1Nzg4MDg2ZTJjZWU3MmI4ZGU1
    #cache_timeout: 1800000 # 30min
    #cache_context: 3
jwt:
  secret: fXO6ko/qyXeYrkecPeKdgXnuLXf9vMEtnBC9OB3s+aA=

# 钉钉 webhook
ding:
  server-url: https://oapi.dingtalk.com/robot/send?access_token=32d9b24f69c2c4fd7c2dab43268b6258a7214d2620e0805d7b6d1429003b64b6
#IES 课堂记录
ies:
  server-url: /common/lesson-record/get-lesson-record
  server-url-group: /grouplist/get-members-listids
  server-url-pdf-data: /school/art/get-pdf-data
  server-url-update-custom-comment: /school/art/update-custom-comment
  server-url-overview: /overall-education/overview
  server-url-exam-rate: /common/exam/get-exam-point
  server-url-art-analysis: /analysis/art/statistics
  server-url-blob-sas-rcwld: /blob/sas-rcwld
  server-url-exam-analysis-list: /common/exam/find-by-analysis
  server-url-exam-find-record: /common/exam/find-summary-record
  server-url-analysis-simple: /analysis/simple
  server-url-find-simple-by-student: /common/exam/find-simple-by-student
  server-url-get-teacher-all: /school/teacher/get-teacher-all
  server-url-get-teacher-grade-count: /school/teacher/get-teacher-grade